import "./tasks/fastq_screen.wdl" as fastq_screen

workflow {{ project_name }} {
	File read
	File ref_dir
	File fastq_screen_conf
	String docker
  	String cluster_config
  	String disk_size

	call fastq_screen.fastq_screen as fastq_screen {
		input:
		read=read,
		ref_dir=ref_dir,
		fastq_screen_conf=fastq_screen_conf,
		docker=docker,
		disk_size=disk_size,
		cluster_config=cluster_config
	}
}
